summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2006-12-16 16:58:17 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:14:29 +0200
commit72ec25dcf2c2174d070f3fec91df40cb10d7a8b4 (patch)
tree061f7056b4e1bff6d9b1d9b35a00c3a984271885
parent03013212111e5376a3571bc43dd990a95ca94f7c (diff)
downloadexternal_gettext-72ec25dcf2c2174d070f3fec91df40cb10d7a8b4.zip
external_gettext-72ec25dcf2c2174d070f3fec91df40cb10d7a8b4.tar.gz
external_gettext-72ec25dcf2c2174d070f3fec91df40cb10d7a8b4.tar.bz2
Don't grep config.status.
-rw-r--r--gettext-tools/tests/ChangeLog11
-rw-r--r--gettext-tools/tests/Makefile.am1
-rwxr-xr-xgettext-tools/tests/gettext-33
-rwxr-xr-xgettext-tools/tests/gettext-53
-rwxr-xr-xgettext-tools/tests/gettext-63
-rwxr-xr-xgettext-tools/tests/gettext-73
6 files changed, 20 insertions, 4 deletions
diff --git a/gettext-tools/tests/ChangeLog b/gettext-tools/tests/ChangeLog
index 51ac851..f8ba4ee 100644
--- a/gettext-tools/tests/ChangeLog
+++ b/gettext-tools/tests/ChangeLog
@@ -1,3 +1,14 @@
+2006-12-16 Bruno Haible <bruno@clisp.org>
+
+ Make it work with autoconf > 2.61.
+ * Makefile.am (TESTS_ENVIRONMENT): Also set GLIBC2.
+ * gettext-3: Use GLIBC2 from the environment instead of grepping
+ config.status.
+ * gettext-5: Likewise.
+ * gettext-6: Likewise.
+ * gettext-7: Likewise.
+ Reported by Ralf Wildenhues.
+
2006-12-10 Bruno Haible <bruno@clisp.org>
Fix a test failure on Solaris.
diff --git a/gettext-tools/tests/Makefile.am b/gettext-tools/tests/Makefile.am
index caa7799..595d9bc 100644
--- a/gettext-tools/tests/Makefile.am
+++ b/gettext-tools/tests/Makefile.am
@@ -171,6 +171,7 @@ TESTS_ENVIRONMENT = top_srcdir=$(top_srcdir) \
BUILDCSHARP='@BUILDCSHARP@' \
TESTCSHARP='@TESTCSHARP@' \
TESTLIBASPRINTF='@TESTLIBASPRINTF@' \
+ GLIBC2='@GLIBC2@' \
LOCALE_FR='@LOCALE_FR@' \
LOCALE_FR_UTF8='@LOCALE_FR_UTF8@' \
LOCALE_JA='@LOCALE_JA@' \
diff --git a/gettext-tools/tests/gettext-3 b/gettext-tools/tests/gettext-3
index f7f7e62..5218dc3 100755
--- a/gettext-tools/tests/gettext-3
+++ b/gettext-tools/tests/gettext-3
@@ -7,7 +7,8 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
# This test works only on glibc systems.
-grep '@GLIBC2@.*yes' ../config.status >/dev/null || {
+: ${GLIBC2=no}
+test "$GLIBC2" = yes || {
echo "Skipping test: not a glibc system"
exit 77
}
diff --git a/gettext-tools/tests/gettext-5 b/gettext-tools/tests/gettext-5
index 955b1a4..19affb0 100755
--- a/gettext-tools/tests/gettext-5
+++ b/gettext-tools/tests/gettext-5
@@ -7,7 +7,8 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
# This test works only on glibc systems.
-grep '@GLIBC2@.*yes' ../config.status >/dev/null || {
+: ${GLIBC2=no}
+test "$GLIBC2" = yes || {
echo "Skipping test: not a glibc system"
exit 77
}
diff --git a/gettext-tools/tests/gettext-6 b/gettext-tools/tests/gettext-6
index fd17c6e..79ba7e4 100755
--- a/gettext-tools/tests/gettext-6
+++ b/gettext-tools/tests/gettext-6
@@ -8,7 +8,8 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
# This test works only on glibc systems.
-grep '@GLIBC2@.*yes' ../config.status >/dev/null || {
+: ${GLIBC2=no}
+test "$GLIBC2" = yes || {
echo "Skipping test: not a glibc system"
exit 77
}
diff --git a/gettext-tools/tests/gettext-7 b/gettext-tools/tests/gettext-7
index 3dc716c..74db70c 100755
--- a/gettext-tools/tests/gettext-7
+++ b/gettext-tools/tests/gettext-7
@@ -8,7 +8,8 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
# This test works only on glibc systems.
-grep '@GLIBC2@.*yes' ../config.status >/dev/null || {
+: ${GLIBC2=no}
+test "$GLIBC2" = yes || {
echo "Skipping test: not a glibc system"
exit 77
}